Bug 462517 - Activating compiz breaks X keybindings
Activating compiz breaks X keybindings
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-16 16:30 EDT by Adam Huffman
Modified: 2009-12-18 01:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:24:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (1.59 KB, text/plain)
2008-09-18 18:26 EDT, Adam Huffman
no flags Details
Xorg log file (21.72 KB, text/plain)
2008-09-18 18:28 EDT, Adam Huffman
no flags Details
Xorg log with no xorg.conf (21.62 KB, text/plain)
2008-09-18 18:48 EDT, Adam Huffman
no flags Details
xev after desktop-effects activated (18.95 KB, text/plain)
2008-09-22 14:58 EDT, Adam Huffman
no flags Details

  None (edit)
Description Adam Huffman 2008-09-16 16:30:56 EDT
Description of problem:
When I activate Desktop Effects, keybindings such as Ctrl-Alt-right arrow not only cease to work but they aren't recognised properly.  For instance, that binding produces a C character in a gnome-terminal, while Alt-Tab seems to be recognised as Tab alone.

Version-Release number of selected component (if applicable):
compiz-0.7.6-10.fc10.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2008-09-18 10:09:10 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Adam Huffman 2008-09-18 18:26:30 EDT
Created attachment 317128 [details]
xorg.conf
Comment 3 Adam Huffman 2008-09-18 18:28:56 EDT
Created attachment 317129 [details]
Xorg log file
Comment 4 Adam Huffman 2008-09-18 18:48:12 EDT
Created attachment 317130 [details]
Xorg log with no xorg.conf
Comment 5 Peter Hutterer 2008-09-22 03:03:05 EDT
Please run xev after activating the effects. Hit the shortcuts and post the output of xev here, this should give us a clue whether the modifiers/keymap are getting mangled.

Also, please run "xkbcomp -xkb :0 before.xkb" before you activate the effects, and "xkbcomp -xkb :0 after.xkb" and compare the two xkb files. If they differ, please attach both of them.
Comment 6 Adam Huffman 2008-09-22 14:57:31 EDT
No difference between the two xkb files.
Comment 7 Adam Huffman 2008-09-22 14:58:14 EDT
Created attachment 317409 [details]
xev after desktop-effects activated
Comment 8 Peter Hutterer 2008-09-22 20:59:44 EDT
(In reply to comment #7)
> Created an attachment (id=317409) [details]
> xev after desktop-effects activated

Thanks. The keyboard events (i.e. modifier state) are correct as you can see below:

KeyPress event, serial 30, synthetic NO, window 0x1200001,
    root 0x88, subw 0x0, time 470520, (125,78), root:(203,169),
    state 0xc, keycode 114 (keysym 0xff53, Right), same_screen YES,

so this seems to be an issue with compiz, not with the server. My guess is that a passive grab isn't issued or triggered. Let's see what the compiz guys say.
Comment 9 Adam Huffman 2008-10-31 17:14:36 EDT
Would be nice to have some movement on this as I wouldn't like to go another release without compiz on this laptop...
Comment 10 Ben Gamari 2008-11-08 07:47:33 EST
I've also seen this behavior. Some keybindings (like enable/disable opacify) have no effect whatsoever.
Comment 11 Bug Zapper 2008-11-25 22:06:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Matěj Cepl 2009-11-17 07:01:03 EST
Switching incorrect assignees to the default one.
Comment 14 Bug Zapper 2009-11-18 03:23:49 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-12-18 01:24:02 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.